Loading...
Searching...
No Matches
SlaterSetTools Class Reference

Provide tools to calculate molecular orbitals, electron densities and other derived data stored in a GaussianSet result. More...

`#include <avogadro/core/slatersettools.h>`

## Public Member Functions

| SlaterSetTools (Molecule *mol=nullptr)
double | calculateMolecularOrbital (const Vector3 &position, int molecularOrbitalNumber) const
| Calculate the value of the specified molecular orbital at the position specified.
double | calculateElectronDensity (const Vector3 &position) const
| Calculate the value of the electron density at the position specified.
double | calculateSpinDensity (const Vector3 &position) const
| Calculate the value of the electron spin density at the position specified.
bool | isValid () const
| Check that the basis set is valid and can be used.

## Detailed Description

Author
  Marcus D. Hanwell

## Member Function Documentation

## calculateMolecularOrbital()

double calculateMolecularOrbital | ( | const Vector3 & | position,
|  | int | molecularOrbitalNumber ) const

Parameters

  position | The position in space to calculate the value.
  molecularOrbitalNumber | The molecular orbital number.

Returns
  The value of the molecular orbital at the position specified.

## calculateElectronDensity()

double calculateElectronDensity | ( | const Vector3 & | position | ) | const

Parameters

  position | The position in space to calculate the value.

Returns
  The value of the electron density at the position specified.

## calculateSpinDensity()

double calculateSpinDensity | ( | const Vector3 & | position | ) | const

Parameters

  position | The position in space to calculate the value.

Returns
  The value of the spin density at the position specified.

## isValid()

bool isValid | ( |  | ) | const

Returns
  True if valid, false otherwise.

The documentation for this class was generated from the following file:

- slatersettools.h